## org.codehaus.groovy.jsr223
Class GroovyScriptEngineFactory

    java.lang.Object
      org.codehaus.groovy.jsr223.GroovyScriptEngineFactory

All Implemented Interfaces:
  javax.script.ScriptEngineFactory

    public class GroovyScriptEngineFactory

extends Object
implements javax.script.ScriptEngineFactory

Constructor Summary
`GroovyScriptEngineFactory()`

Method Summary
`String` `getEngineName()`
`String` `getEngineVersion()` Note that the scripting.dev.java.net engine had this backwards.
`List<String>` `getExtensions()`
`String` `getLanguageName()` This is also different than scripting.dev.java.net which used an initial lowercase.
`String` `getLanguageVersion()`
`String` `getMethodCallSyntax(String obj, String method, String... args)`
`List<String>` `getMimeTypes()`
`List<String>` `getNames()`
`String` `getOutputStatement(String toDisplay)`
`Object` `getParameter(String key)`
`String` `getProgram(String... statements)`
`javax.script.ScriptEngine` `getScriptEngine()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyScriptEngineFactory

    public GroovyScriptEngineFactory()

Method Detail

### getEngineName

    public String getEngineName()

  Specified by:
    `getEngineName` in interface `javax.script.ScriptEngineFactory`

### getEngineVersion

    public String getEngineVersion()

  Note that the scripting.dev.java.net engine had this backwards. The engine version refers to this engine implementation. Whereas language version refers to the groovy implementation (which is obtained from the runtime).

  Specified by:
    `getEngineVersion` in interface `javax.script.ScriptEngineFactory`

### getLanguageName

    public String getLanguageName()

  This is also different than scripting.dev.java.net which used an initial lowercase. But these are proper names and should be capitalized.

  Specified by:
    `getLanguageName` in interface `javax.script.ScriptEngineFactory`

### getLanguageVersion

    public String getLanguageVersion()

  Specified by:
    `getLanguageVersion` in interface `javax.script.ScriptEngineFactory`

### getExtensions

    public List<String> getExtensions()

  Specified by:
    `getExtensions` in interface `javax.script.ScriptEngineFactory`

### getMimeTypes

    public List<String> getMimeTypes()

  Specified by:
    `getMimeTypes` in interface `javax.script.ScriptEngineFactory`

### getNames

    public List<String> getNames()

  Specified by:
    `getNames` in interface `javax.script.ScriptEngineFactory`

### getParameter

    public Object getParameter(String key)

  Specified by:
    `getParameter` in interface `javax.script.ScriptEngineFactory`

### getScriptEngine

    public javax.script.ScriptEngine getScriptEngine()

  Specified by:
    `getScriptEngine` in interface `javax.script.ScriptEngineFactory`

### getMethodCallSyntax

    public String getMethodCallSyntax(String obj,
                                      String method,
                                      String... args)

  Specified by:
    `getMethodCallSyntax` in interface `javax.script.ScriptEngineFactory`

### getOutputStatement

    public String getOutputStatement(String toDisplay)

  Specified by:
    `getOutputStatement` in interface `javax.script.ScriptEngineFactory`

### getProgram

    public String getProgram(String... statements)

  Specified by:
    `getProgram` in interface `javax.script.ScriptEngineFactory`

Copyright © 2003-2009 The Codehaus. All rights reserved.